import globals from "globals";
import pluginJs from "@eslint/js";
import tseslint from "typescript-eslint";
import pluginReact from "eslint-plugin-react";
import eslintConfigPrettier from "eslint-config-prettier";
import cssPlugin from "eslint-plugin-css";
const config = [
  { files: ["**/*.{js,mjs,cjs,ts,jsx,tsx,css}"] },
  { languageOptions: { globals: globals.browser } },
  pluginJs.configs.recommended,
  ...tseslint.configs.recommended,
  pluginReact.configs.flat.recommended,
  cssPlugin.configs.recommended,
  eslintConfigPrettier,
];

export default config;
