import { CSSProperties } from 'react';

export default function Title({
  ...props
}: {
  value: string;
  style?: CSSProperties;
  className?: string;
}) {
  return (
    <h1
      className={props.className}
      style={{
        margin: '2rem 0 2rem 2rem',
        textAlign: 'left',
        fontFamily: 'Inter',
        color: '#410D5B',

        fontWeight: 400,
        display: 'flex',
        ...props.style,
      }}
    >
      {props.value}
    </h1>
  );
}
